DraggableImage
Date: 2013-06-18

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.session.client
Class DraggableImage

    java.lang.Object
      org.gcube.portlets.session.client.BaseItem
          org.gcube.portlets.session.client.DraggableImage

    public class DraggableImage

extends BaseItem

The `DraggableImage`

Version:
  7.11
Author:
  massimiliano.assante@isti.cnr.it

Field Summary
`protected java.lang.String` | `thumb` the thubnail URL

Fields inherited from class org.gcube.portlets.session.client.BaseItem
`content, fileName, id, label, metadata, mimeType, type`

Constructor Summary
`DraggableImage()` Constructor
`DraggableImage(java.lang.String thumb, int id, java.lang.String label)` Constructor
`DraggableImage(java.lang.String thumb, int id, java.lang.String label, java.lang.String metadata, java.lang.String content)` Constructor

Method Summary
`java.lang.String` | `getThumb()`
`void` | `setThumb(java.lang.String thumb)`

Methods inherited from class org.gcube.portlets.session.client.BaseItem
`getContent, getFileName, getId, getLabel, getMetadata, getMimeType, getType, setContent, setFileName, setId, setLabel, setMetadata, setMimeType, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### thumb

    protected java.lang.String thumb

  the thubnail URL

Constructor Detail

### DraggableImage

    public DraggableImage()

  Constructor

### DraggableImage

    public DraggableImage(java.lang.String thumb,
                          int id,
                          java.lang.String label,
                          java.lang.String metadata,
                          java.lang.String content)

  Constructor

  Parameters:
    `thumb` - t
    `id` - i
    `label` - l
    `metadata` - m
    `content` - c

### DraggableImage

    public DraggableImage(java.lang.String thumb,
                          int id,
                          java.lang.String label)

  Constructor

  Parameters:
    `thumb` - t
    `id` - i
    `label` - l

Method Detail

### getThumb

    public java.lang.String getThumb()

  Returns:
    t

### setThumb

    public void setThumb(java.lang.String thumb)

  Parameters:
    `thumb` - t

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD